CHILIGHT(1)

NAME
chilight - highlight a C source file

SYNOPSIS
chilight [-V] [-f format] [-o file] [-t title] [-w width] [file ...]

DESCRIPTION
The chilight utility colorizes the input file, expected to be written in the C language, with text attributes or markups.

The options are as follows:

-f format
    Set the output format to format.
    The format can be one of: ansi_color, ansi_bold, html_color, html_font, roff or tty (the default).

-o file
    Set the output destination to file.

-t title
    Specify the page title for the generated HTML page.

-V  Print version information on standard output then exit.

-w width
    Set the tab width for the roff style.
    Tabulator characters are converted to suitable amounts of space characters to gain better typographic quality on roff output. Acceptable values are in the range 1..16 which should be ample for most situations.

AUTHORS
Sandro Sigala <sandro@sigala.it> - original version

Jukka A. Ukkonen <jau@iki.fi> - roff and tty formats, better handling of #xxx preprocessor directives and some minor changes.